IDS/IPS
11 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIpsConfig | GET | Get site IDS/IPS config |
| modifyIpsConfig | PATCH | Modify site IDS/IPS config |
| editAllowList | PATCH | Edit allow list |
| createAllowList | POST | Create new allow list |
| deleteAllowList | DELETE | Delete allow list |
| deleteBlockList | DELETE | Delete block list |
| getGridAllowList | GET | Get grid ips allow list |
| getGridBlockList | GET | Get grid IPS block list |
| getGridSignature | GET | Get signature list |
| deleteSignature | DELETE | Delete signature |
| modifySignature | PATCH | Modify signature |
getIpsConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips
Get site IDS/IPS config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIpsConfig",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site IDS/IPS config
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
modifyIpsConfig
PATCH /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips
Modify site IDS/IPS config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IpsInfo
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Whether to enable IDS/IPS config. If parameter[enable] is true, parameter[ipsMode] and parameter[dplevel] are needed |
ipsMode | integer | no | IpsMode should be a value as follows: 0: detect only; 1: detect and block |
geoEnable | boolean | no | Whether to enable identifying the source country and destination country of attack ip addresses. |
dpLevel | integer | no | DpLevel should be a value as follows: 0: Low; 1: Medium; 2: High; 3: Custom |
customCategories | array<integer> | no | Custom IDS/IPS categories list, if parameter[Dplevel] is 3, customCategories is needed.CustomCategories should be a list as follow: 1: Botcc, 2: Worm, 3: Malware, 4: Mobile_Malware, 6: P2P, 7: Tor, 8: Exploit, 9: Shellcode, 14: Activex, 15: DNS, 18: User Agents, 24: DShield |
timeRangeId | string | no | This field represents Time Range ID. Time Range can be created using 'Create time range profile' interface, and Time Range ID can be obtained from 'Get time range profile list' interface. If parameter[timeRangeId] is null, IDS/IPS will be effective in all time ranges. |
// omada_call_operation
{
"operationId": "modifyIpsConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site IDS/IPS config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35205 - The adopted gateway does not support IDS/IPS configurations.
editAllowList
PATCH /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/allow-list
Edit allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Modify IPS allow list entry
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Allow list entry ID. |
direction | integer | no | The location of the target that can trigger the threat, direction should be a value as follows:0: both 1: source, 2: destination. |
trafficType | integer | no | Exempt the category of objects (targets) that can trigger the threat, trafficType should be a value as follows: 0: IP Address, 1: Network, 2: Subnet. |
ipAddress | string | no | The value of the trafficType is 0, indicating IP address. |
network | string | no | The value of the trafficType is 1, indicating LAN network ID. |
subnet | string | no | The value of the trafficType is 2, indicating subnet. |
// omada_call_operation
{
"operationId": "editAllowList",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an allow list entry.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35205 - The adopted gateway does not support IDS/IPS configurations.
createAllowList
POST /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/allow-list
Create new allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema New IPS allow list entry
| Field | Type | Required | Description |
|---|---|---|---|
direction | integer | no | The location of the target that can trigger the threat, direction should be a value as follows:0: both 1: source, 2: destination. |
trafficType | integer | no | Exempt the category of objects (targets) that can trigger the threat, trafficType should be a value as follows: 0: IP Address, 1: Network, 2: Subnet. |
ipAddress | string | no | The value of the trafficType is 0, indicating IP address. |
network | string | no | The value of the trafficType is 1, indicating LAN network ID. |
subnet | string | no | The value of the trafficType is 2, indicating subnet. |
// omada_call_operation
{
"operationId": "createAllowList",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new allow list.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35202 - The number of allow list entries has reached the limit.
-35205 - The adopted gateway does not support IDS/IPS configurations.
deleteAllowList
DELETE /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/allow-list/{entryId}
Delete allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
entryId | path | string | yes | Allow entry ID |
// omada_call_operation
{
"operationId": "deleteAllowList",
"params": {
"siteId": "<siteId>",
"entryId": "<entryId>"
}
}Details, permissions and error codes
Delete allow List by entry id.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
deleteBlockList
DELETE /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/block-list/{entryId}
Delete block list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
entryId | path | string | yes | Block entry ID |
// omada_call_operation
{
"operationId": "deleteBlockList",
"params": {
"siteId": "<siteId>",
"entryId": "<entryId>"
}
}Details, permissions and error codes
Delete block list by entry id.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getGridAllowList
GET /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/grid/allow-list
Get grid ips allow list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field IP / Subnet |
// omada_call_operation
{
"operationId": "getGridAllowList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain grid allow list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
getGridBlockList
GET /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/grid/block-list
Get grid IPS block list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field Name/Source Ip/Destination |
// omada_call_operation
{
"operationId": "getGridBlockList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the grid IPS block list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
getGridSignature
GET /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/signature
Get signature list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSignature",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get signature list
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only
deleteSignature
DELETE /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/signature/{signId}
Delete signature
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
signId | path | string | yes | Unique Signature ID |
// omada_call_operation
{
"operationId": "deleteSignature",
"params": {
"siteId": "<siteId>",
"signId": "<signId>"
}
}Details, permissions and error codes
Delete signature
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifySignature
PATCH /openapi/v1/{omadacId}/sites/{siteId}/network-security/ips/signature/{signId}
Modify signature
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
signId | path | string | yes | Unique Signature ID |
Request body — application/json (required) — schema IpsSignatureConfig
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type should be a value as follow: 0: all traffic; 1: packet tracking |
direction | integer | no | Direction should be a value as follow: 0: both direction; 1: source direction; 2: destination direction |
trafficType | integer | no | TrafficType should be a value as follow: 0: ip address; 1: subnet |
ip | string | no | IPS signature traffic Source. If parameter [trafficType] is 0, parameter [ip] is needed |
subnet | string | no | IPS signature traffic Source. If parameter [trafficType] is 1, parameter [subnet] is needed |
// omada_call_operation
{
"operationId": "modifySignature",
"params": {
"siteId": "<siteId>",
"signId": "<signId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify signature
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify